const extConfig = tt.getExtConfigSync ? tt.getExtConfigSync().extConfig : {}
let weappId = extConfig.weappId;
console.log(extConfig,"configUrls");
let configUrls = extConfig.attr.configUrl;

var config = {
  url: configUrls,
  api: {
    /**
     * 判断小程序是否能有插件
     */
  
    getConfig:"/sysConfig/getByKey",
    /*
    *欢乐城首页专题
    */
    showList:"/topic/showList",
    /* 
     *记录微信订阅
     */
    activityDey:"/wxActivity/listStatus",//活动日历日期
    activityCalendar:'/wxActivity/list',//活动日历列表
    signDey:"/userSign/listStatus",//签到日期列表
    continuousDye:"/userSign/signInStatus",//连续签到天数
    userSign:"/userSign/signIn",//签到
    signRule:"/credit/credit_rules",//签到规则
    wxMsg: '/user/updateMsg',
    // 获取服务资质
    getAppIcp:"/mall/getAppIcp",
    /**
     * 获取首页按钮
     */
    wxCustomizeModule:"/wxCustomizeModule/list",
    /**
     * 抖音消息推送获取模板id  
     */
    templateId: "/wxMsg/ttTemplateList",
    //问卷列表
    questionnaire :"/wxQuestionOneself/list",
    //问卷详情
    questionnaireDetail:"/wxQuestionOneself/detailsById",
    //提交问卷
    submitQuestin:"/wxQuestionOneself/userAdd",
    //投诉建议add
    suggest:"/wxOpinion/add",
    /**
     * 接口用途:login
     */
    login: "/user/login",
    /**
     * 授权后获取用户的昵称,unionId等信息
     */
    getUserInfo: "/user/getUserInfo",
    //图片上传
    imgUpload: '/upload/awsFileUpload',
    /**
     * 接口用途:授权后获取用户的手机号
     */
    getUserPhone: "/user/getUserPhone",
    /**
     * 检查用户授权状态
     */
    checkUserStatus: "/user/checkUserStatus",
    /**
     * 检查用户手机授权状态
     */
    checkPhoneStatus: "/user/checkPhoneStatus",
    /**
     * 商户优惠信息
     */
    listByMerchant: "/wxCouponChannel/listByMerchant",

    /**
      * 获取券价格与库存
      */
     couponPriceAndStock:"/wxCoupon/couponPriceAndStock",
    /**
     * 获取券适用门店List
     */
    couponMerchant:"/wxCoupon/couponMerchant",
    
    /**
     * 获取券详情
     */
    newCouponDetail:'/wxCoupon/couponDetail',
     /**
     * 优惠券详情
     */
    couponDetail: "/wxCoupon/detail",
    /**
     * 购物车订单详情
     */
    
    goodsDetail:"/order/goodsDetail",
    /**
     * 获取直播商品列表的价格和库存
     */
    batchCouponPriceAndStock:"/wxCoupon/batchCouponPriceAndStock",
    /**
     * 优惠券图文混排详情
     */
    couponHtmlDetail: "/wxCoupon/html",
    couponHtmlDetailForPkg: "/couponOrder/html",
    /**
     * 获取样式
     */
    setType: '/wxMiniappTheme/getOne',
    /**
     * 业态查询
     * filter
     * 2 券
     * 1 商户
     */
    businessList: "/wxBusiness/listAll",
    /**
     * 频道查询
     */
    couponChannelList: "/wxCouponChannel/list",
    /**
     * 直播商品列表
     */
    couponChannelDouyinLiveList: "/wxCouponChannel/douyinLiveList",

    /**
     * 换一换change
     */
    change: "/wxCouponChannel/change",
    /**
     * 下订单
     */
    orderSave: "/order/save",
    /** 
    * 多少量下单
    */
    goodsShopCartSave:"/order/goodsShopCartSave",
    /**
     * 支付订单
     */
    payOrderCreate: "/pay/create",
    /**
     * 2.0订单支付
     */
     payOrderCreate_2: "/pay/ttcreatev2",

    /**
     * 订单状态更新
     */
    payOrderUpdate: "/pay/updatePayOrder",
    /**
     * 订单列表 /order/list
     */
    orderList: "/order/listGoods_v1",

    getWeRunData: '/user/getWeRunData',
    /**
     *  订单详情
     */
    orderDetail: "/order/detail_v1",
    // 券包详情
    // orderDetailAll: "/order/detail_v1",
    /**
     * 券包
     */
    couponOrderList: "/couponOrder/list",
    /**
     * 券包详情
     */
    couponOrderDetail: "/couponOrder/detail", /// TODO
    /**
     * 验证码发送
     */
    sendValidationCode: "/wxMsgValidationcode/sendvalidationcode",
    /**
     * 验证码确认
     */
    validationCode: "/wxMsgValidationcode/hasvalidationcode",
    /**
     * 车场信息获取
     */
    scoreLevelInfo: '/mall/scoreLevelInfo',
    getParkInfo: "/wxPark/info",
    /**
     * 用户所绑车牌获取
     */
    userCarCount: "/user/carCount",
    /**
     * 用户所绑车牌获取
     */
    getUserCarList: "/user/carList",
    /**
     * 联合登录
     */
    carInit: "/car/init",
    /**
     * 绑车牌
     */
    bindCar: "/car/bindCar",
    /**
     * 解绑车牌
     */
    unbindCar: "/car/unbindCar",
    /**
     * 停车费
     */
    getCarStopFee: "/car/getCarStopFee",
    /**
     * 停车费抵扣 （TJD）
     */
    deductionFee: "/car/deductionFee",
    /**
     * 优免券领取
     */
    getCarCoupon: "/car/getCoupon",
    /**
     * 停车券包
     */
    couponOrderCarList: "/car/couponOrderList",
    /**
     * banner
     */
    bannerlist: "/wxCampaign/list",
    /**
     * banner详情页面
     */
    bannerDetail: "/wxCampaign/findById",
    /**
     *  授权个人信息
     * 和授权手机号
     * 和login页面
     * 页面的图标
     */
    marketicon: '/mall/getAppIcon',
    /**
     * 获取停车场状态
     */
    getParkStatus: '/car/getParkStatus',
    /**
     * 检查核销的状态
     */
    getStatus: "/couponOrder/getStatus",
    /**
     * 获得成长值
     */
    getScore: '/user/userinfo',
    /**
     * 小程序分享
     * title
     * 描述
     */
    getWeapNote: '/mall/getWeapNote',
    /**
     * 商场信息(小程序分享)
     */
    getMallInfo: '/mall/mallInfo',
    /**
     * 小程序获取游戏路径
     */
    getGame: '/game/getOne',
    /**
     * 小程序获取广告路径
     */
    getGg: '/floatingLayer/getFloatingLayer',
    /**
     * 小程序某一个游戏信息
     */
    getOneGame: '/game/getOneGame',
    /**
     * 用户更新信息
     */
    updateInfo: "/user/updateUserInfo",
    /**
     * 查询问卷
     */
    getQuestion: "/wxQuestion/getQuestion",
    /**
     * 提交问卷 
     */
    answerQuestion: "/wxQuestion/answerQuestion",
    /**
     *
      获取打折商户列表
     */
    discountMerchantList: "/mall/discountMerchantList",
    /**
     * 卡包分页列表接口
     */
    cardorderList: "/couponOrder/cardList",
    /**
     * 卡券详情接口
     */
    cardDetail: "/couponOrder/cardDetail",
    /**
     * C端扫B端储值卡支付订单
     */
    cardPayOrder: "/cardPay/order_create",
    /**
     * 兑换历史列表
     */
    scoreHistory: "/scoreHistory/list",
    /**
     * 获取用户折扣率
     */
    getDiscountInfo: "/user/getDiscountInfo",
    /**
     * C端扫B端储值卡交易流水列表接口
     */
    cardpayList: "/cardPay/list",
    /**
     * 根据code查询接口
     */
    findByCode: "/merchant/findByCode",
    /**
     * 参与砍价
     */
    pressOrderJoin: "/press/pressOrderJoin",
    /**
     * 我的砍价列表
     */
    pressOrderList: "/order/pressOrderList",
    /**
     * 砍价订单详情
     */
    pressOrderDetail: "/order/pressOrderDetail",
    /**
     * 
     */
    getPressOrderStatus: "/press/getPressOrderStatus",
    /**
     * 查询转赠卡状态
     */
    queryCardStatus: "/couponOrder/queryCardStatus",
    /**
     * 领取转赠卡
     */
    cardAccept: '/couponOrder/cardAccept',
    /**
     * 获取我的拼团列表
     */
    getMySepllList: '/orderGroup/queryOrderGroup',
    /**
     *查询差1个的团购信息
     */
    queryRemainOne: '/orderGroup/queryRemainOne',
    /**
     * *分页列表接口
     */
    merchantList: "/merchant/list",
    /*
     * 查询拼团状态
     */
    queryOrderGroupStatus: '/orderGroup/queryOrderGroupStatus',
    /**
     * 去拼团
     */
    toOrderGroup: '/orderGroup/toOrderGroup',
    /**
     * 查询是否已参团
     */
    queryAttendStatus: '/orderGroup/queryAttendStatus',
    /**
     * 专题
     */
    topicShow: "/topic/show",
    /**
     * 专题详情
     */
    topicFindById: "/topic/findById",
    /**
     * 积分券详情
     */
    integralDetail: '/wxCoupon/findById',
    /**
     * 会员积分记录
     */
    integralList: '/credit/list',
    /**
     * 用户更新位置信息
     */
    updateLBS: "/user/updateLBS",
    /**
     * 用户更新信息
     */
    updateUserInfo: "/user/updateUserInfo",
    /**
     * 用户更新scene
     */
    updateScene: "/user/updateScene",
    /**
     * 富文本详情
     */
    printHtmlById: "/wxCampaign/printHtmlById",
    acfindById: "/wxActivity/findById",
    acPrintHtmlById: "/wxActivity/printHtmlById",
    //参与活动
    activityJoin: "/wxActivityJoin/join",
    //签到
    activitySign: "/wxActivityJoin/sign",
    activityList: "/wxActivityJoin/list",
    //获取未支付的订单
    getUnPaidOrder: "/order/getUnPaidOrder",
    getCouponOrderByPassword: '/couponPassword/getCouponOrderByPassword',
    getbuildingfloorlist: '/wxMallBuilding/getbuildingfloorlist',
    //商场信息接口
    getMallInfo: "/mall/mallInfo",
    // 获取楼层楼座数据
    getbuildingfloorlist: "/wxMallBuilding/getbuildingfloorlist",
    // 获取所有直播间和商品信息
    getReplayList: "/live/replayList",
    // 获取直播房间回放数据和商品信息
    getRoomList: "/live/roomList",
    //商城地图
    getStoreMap:"/wxMallBuilding/getbuildingfloorlist",
    //判断有没有蜂鸟地图
    ifFengMap:'/fengniaomap/getConfig',
    //分享小程序二维码
    getQrcodeFx:"/user/userinfoQrCode",
    //添加收货地址
    collectSite:"/userBasicInfoAddress/saveOrUpdate",
    //收货地址列表
    siteList: "/userBasicInfoAddress/list",
    //查询收货地址
    siteCheck: "/userBasicInfoAddress/findById",
    //删除收获地址
    siteDel: "/userBasicInfoAddress/del",
    //确认收货
    verify:"/couponOrder/verify",
    //全包下订单
    couponPackageSave :"/order/couponPackageSave",


    //获取动态核销码
    dynamicId:"/couponOrder/dynamicId",
    /**
     * 获取门店资质
     */
    certification:"/merchant/findCorp",
    /**
     * 交易快照
     */
    getSnapshot:"/order/getSnapshot",
    /**
     * 退款
     */
    refund:"/order/refund",
    /**
     * 查询退款详情
     */
    getRefund:"/order/getRefund",
    /*
    *查询Spuid
    */
    getSpuid:'/wxCouponChannel/getChannelPoi',
    /**
     * 获取支付订单
     */
    getchanId:"/couponOrder/getChannelPoi",
    /**
     * 获取客服链接
    */
    getServiceUrl:"/ttopen/merchantPoi/query_customer_service_url",
    /**
     * 取消订单
     */
    orderCancel:"/order/cancel",
    /**
     * 判断是否支付
     */
     continueToPay:"/order/continueToPay",
  },
  weapp: {
    AppId: weappId
  },
};

module.exports = config;